Package org.apache.groovy.parser.antlr4

## Interface GroovyParserVisitor<Result>

- Type Parameters:
    `Result` - The return type of the visit operation. Use `Void` for operations with no return type.
  All Superinterfaces:
    `org.antlr.v4.runtime.tree.ParseTreeVisitor<Result>`
  All Known Implementing Classes:
    `AstBuilder`, `GroovyParserBaseVisitor`

      public interface GroovyParserVisitor<Result>
      extends org.antlr.v4.runtime.tree.ParseTreeVisitor<Result>

  This interface defines a complete generic visitor for a parse tree produced by `GroovyParser`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Result` | `visitAdditiveExprAlt​(GroovyParser.AdditiveExprAltContext ctx)` | Visit a parse tree produced by the `additiveExprAlt` labeled alternative in `GroovyParser.expression()`.
    `Result` | `visitAndExprAlt​(GroovyParser.AndExprAltContext ctx)` | Visit a parse tree produced by the `andExprAlt` labeled alternative in `GroovyParser.expression()`.
    `Result` | `visitAnnotatedQualifiedClassName​(GroovyParser.AnnotatedQualifiedClassNameContext ctx)` | Visit a parse tree produced by `GroovyParser.annotatedQualifiedClassName()`.
    `Result` | `visitAnnotation​(GroovyParser.AnnotationContext ctx)` | Visit a parse tree produced by `GroovyParser.annotation()`.
    `Result` | `visitAnnotationName​(GroovyParser.AnnotationNameContext ctx)` | Visit a parse tree produced by `GroovyParser.annotationName()`.
    `Result` | `visitAnnotationsOpt​(GroovyParser.AnnotationsOptContext ctx)` | Visit a parse tree produced by `GroovyParser.annotationsOpt()`.
    `Result` | `visitAnonymousInnerClassDeclaration​(GroovyParser.AnonymousInnerClassDeclarationContext ctx)` | Visit a parse tree produced by `GroovyParser.anonymousInnerClassDeclaration(int)`.
    `Result` | `visitArguments​(GroovyParser.ArgumentsContext ctx)` | Visit a parse tree produced by `GroovyParser.arguments()`.
    `Result` | `visitArrayInitializer​(GroovyParser.ArrayInitializerContext ctx)` | Visit a parse tree produced by `GroovyParser.arrayInitializer()`.
    `Result` | `visitAssertStatement​(GroovyParser.AssertStatementContext ctx)` | Visit a parse tree produced by `GroovyParser.assertStatement()`.
    `Result` | `visitAssertStmtAlt​(GroovyParser.AssertStmtAltContext ctx)` | Visit a parse tree produced by the `assertStmtAlt` labeled alternative in `GroovyParser.statement()`.
    `Result` | `visitAssignmentExprAlt​(GroovyParser.AssignmentExprAltContext ctx)` | Visit a parse tree produced by the `assignmentExprAlt` labeled alternative in `GroovyParser.expression()`.
    `Result` | `visitBlock​(GroovyParser.BlockContext ctx)` | Visit a parse tree produced by `GroovyParser.block()`.
    `Result` | `visitBlockStatement​(GroovyParser.BlockStatementContext ctx)` | Visit a parse tree produced by `GroovyParser.blockStatement()`.
    `Result` | `visitBlockStatements​(GroovyParser.BlockStatementsContext ctx)` | Visit a parse tree produced by `GroovyParser.blockStatements()`.
    `Result` | `visitBlockStatementsOpt​(GroovyParser.BlockStatementsOptContext ctx)` | Visit a parse tree produced by `GroovyParser.blockStatementsOpt()`.
    `Result` | `visitBlockStmtAlt​(GroovyParser.BlockStmtAltContext ctx)` | Visit a parse tree produced by the `blockStmtAlt` labeled alternative in `GroovyParser.statement()`.
    `Result` | `visitBooleanLiteralAlt​(GroovyParser.BooleanLiteralAltContext ctx)` | Visit a parse tree produced by the `booleanLiteralAlt` labeled alternative in `GroovyParser.literal()`.
    `Result` | `visitBreakStatement​(GroovyParser.BreakStatementContext ctx)` | Visit a parse tree produced by `GroovyParser.breakStatement()`.
    `Result` | `visitBreakStmtAlt​(GroovyParser.BreakStmtAltContext ctx)` | Visit a parse tree produced by the `breakStmtAlt` labeled alternative in `GroovyParser.statement()`.
    `Result` | `visitBuiltInType​(GroovyParser.BuiltInTypeContext ctx)` | Visit a parse tree produced by `GroovyParser.builtInType()`.
    `Result` | `visitBuiltInTypePrmrAlt​(GroovyParser.BuiltInTypePrmrAltContext ctx)` | Visit a parse tree produced by the `builtInTypePrmrAlt` labeled alternative in `GroovyParser.primary()`.
    `Result` | `visitCastExprAlt​(GroovyParser.CastExprAltContext ctx)` | Visit a parse tree produced by the `castExprAlt` labeled alternative in `GroovyParser.castOperandExpression()`.
    `Result` | `visitCastParExpression​(GroovyParser.CastParExpressionContext ctx)` | Visit a parse tree produced by `GroovyParser.castParExpression()`.
    `Result` | `visitCatchClause​(GroovyParser.CatchClauseContext ctx)` | Visit a parse tree produced by `GroovyParser.catchClause()`.
    `Result` | `visitCatchType​(GroovyParser.CatchTypeContext ctx)` | Visit a parse tree produced by `GroovyParser.catchType()`.
    `Result` | `visitClassBody​(GroovyParser.ClassBodyContext ctx)` | Visit a parse tree produced by `GroovyParser.classBody(int)`.
    `Result` | `visitClassBodyDeclaration​(GroovyParser.ClassBodyDeclarationContext ctx)` | Visit a parse tree produced by `GroovyParser.classBodyDeclaration(int)`.
    `Result` | `visitClassDeclaration​(GroovyParser.ClassDeclarationContext ctx)` | Visit a parse tree produced by `GroovyParser.classDeclaration()`.
    `Result` | `visitClassicalForControl​(GroovyParser.ClassicalForControlContext ctx)` | Visit a parse tree produced by `GroovyParser.classicalForControl()`.
    `Result` | `visitClassName​(GroovyParser.ClassNameContext ctx)` | Visit a parse tree produced by `GroovyParser.className()`.
    `Result` | `visitClassOrInterfaceModifier​(GroovyParser.ClassOrInterfaceModifierContext ctx)` | Visit a parse tree produced by `GroovyParser.classOrInterfaceModifier()`.
    `Result` | `visitClassOrInterfaceModifiers​(GroovyParser.ClassOrInterfaceModifiersContext ctx)` | Visit a parse tree produced by `GroovyParser.classOrInterfaceModifiers()`.
    `Result` | `visitClassOrInterfaceModifiersOpt​(GroovyParser.ClassOrInterfaceModifiersOptContext ctx)` | Visit a parse tree produced by `GroovyParser.classOrInterfaceModifiersOpt()`.
    `Result` | `visitClassOrInterfaceType​(GroovyParser.ClassOrInterfaceTypeContext ctx)` | Visit a parse tree produced by `GroovyParser.classOrInterfaceType()`.
    `Result` | `visitClosure​(GroovyParser.ClosureContext ctx)` | Visit a parse tree produced by `GroovyParser.closure()`.
    `Result` | `visitClosureOrLambdaExpression​(GroovyParser.ClosureOrLambdaExpressionContext ctx)` | Visit a parse tree produced by `GroovyParser.closureOrLambdaExpression()`.
    `Result` | `visitClosureOrLambdaExpressionPrmrAlt​(GroovyParser.ClosureOrLambdaExpressionPrmrAltContext ctx)` | Visit a parse tree produced by the `closureOrLambdaExpressionPrmrAlt` labeled alternative in `GroovyParser.primary()`.
    `Result` | `visitCommandArgument​(GroovyParser.CommandArgumentContext ctx)` | Visit a parse tree produced by `GroovyParser.commandArgument()`.
    `Result` | `visitCommandExprAlt​(GroovyParser.CommandExprAltContext ctx)` | Visit a parse tree produced by the `commandExprAlt` labeled alternative in `GroovyParser.statementExpression()`.
    `Result` | `visitCommandExpression​(GroovyParser.CommandExpressionContext ctx)` | Visit a parse tree produced by `GroovyParser.commandExpression()`.
    `Result` | `visitCompilationUnit​(GroovyParser.CompilationUnitContext ctx)` | Visit a parse tree produced by `GroovyParser.compilationUnit()`.
    `Result` | `visitConditionalExprAlt​(GroovyParser.ConditionalExprAltContext ctx)` | Visit a parse tree produced by the `conditionalExprAlt` labeled alternative in `GroovyParser.expression()`.
    `Result` | `visitConditionalStatement​(GroovyParser.ConditionalStatementContext ctx)` | Visit a parse tree produced by `GroovyParser.conditionalStatement()`.
    `Result` | `visitConditionalStmtAlt​(GroovyParser.ConditionalStmtAltContext ctx)` | Visit a parse tree produced by the `conditionalStmtAlt` labeled alternative in `GroovyParser.statement()`.
    `Result` | `visitContinueStatement​(GroovyParser.ContinueStatementContext ctx)` | Visit a parse tree produced by `GroovyParser.continueStatement()`.
    `Result` | `visitContinueStmtAlt​(GroovyParser.ContinueStmtAltContext ctx)` | Visit a parse tree produced by the `continueStmtAlt` labeled alternative in `GroovyParser.statement()`.
    `Result` | `visitCreatedName​(GroovyParser.CreatedNameContext ctx)` | Visit a parse tree produced by `GroovyParser.createdName()`.
    `Result` | `visitCreator​(GroovyParser.CreatorContext ctx)` | Visit a parse tree produced by `GroovyParser.creator(int)`.
    `Result` | `visitDim​(GroovyParser.DimContext ctx)` | Visit a parse tree produced by `GroovyParser.dim()`.
    `Result` | `visitDoWhileStmtAlt​(GroovyParser.DoWhileStmtAltContext ctx)` | Visit a parse tree produced by the `doWhileStmtAlt` labeled alternative in `GroovyParser.loopStatement()`.
    `Result` | `visitDynamicMemberName​(GroovyParser.DynamicMemberNameContext ctx)` | Visit a parse tree produced by `GroovyParser.dynamicMemberName()`.
    `Result` | `visitElementValue​(GroovyParser.ElementValueContext ctx)` | Visit a parse tree produced by `GroovyParser.elementValue()`.
    `Result` | `visitElementValueArrayInitializer​(GroovyParser.ElementValueArrayInitializerContext ctx)` | Visit a parse tree produced by `GroovyParser.elementValueArrayInitializer()`.
    `Result` | `visitElementValuePair​(GroovyParser.ElementValuePairContext ctx)` | Visit a parse tree produced by `GroovyParser.elementValuePair()`.
    `Result` | `visitElementValuePairName​(GroovyParser.ElementValuePairNameContext ctx)` | Visit a parse tree produced by `GroovyParser.elementValuePairName()`.
    `Result` | `visitElementValuePairs​(GroovyParser.ElementValuePairsContext ctx)` | Visit a parse tree produced by `GroovyParser.elementValuePairs()`.
    `Result` | `visitElementValues​(GroovyParser.ElementValuesContext ctx)` | Visit a parse tree produced by `GroovyParser.elementValues()`.
    `Result` | `visitEmptyDims​(GroovyParser.EmptyDimsContext ctx)` | Visit a parse tree produced by `GroovyParser.emptyDims()`.
    `Result` | `visitEmptyDimsOpt​(GroovyParser.EmptyDimsOptContext ctx)` | Visit a parse tree produced by `GroovyParser.emptyDimsOpt()`.
    `Result` | `visitEmptyStmtAlt​(GroovyParser.EmptyStmtAltContext ctx)` | Visit a parse tree produced by the `emptyStmtAlt` labeled alternative in `GroovyParser.statement()`.
    `Result` | `visitEnhancedArgumentListElement​(GroovyParser.EnhancedArgumentListElementContext ctx)` | Visit a parse tree produced by `GroovyParser.enhancedArgumentListElement()`.
    `Result` | `visitEnhancedArgumentListInPar​(GroovyParser.EnhancedArgumentListInParContext ctx)` | Visit a parse tree produced by `GroovyParser.enhancedArgumentListInPar()`.
    `Result` | `visitEnhancedForControl​(GroovyParser.EnhancedForControlContext ctx)` | Visit a parse tree produced by `GroovyParser.enhancedForControl()`.
    `Result` | `visitEnhancedStatementExpression​(GroovyParser.EnhancedStatementExpressionContext ctx)` | Visit a parse tree produced by `GroovyParser.enhancedStatementExpression()`.
    `Result` | `visitEnumConstant​(GroovyParser.EnumConstantContext ctx)` | Visit a parse tree produced by `GroovyParser.enumConstant()`.
    `Result` | `visitEnumConstants​(GroovyParser.EnumConstantsContext ctx)` | Visit a parse tree produced by `GroovyParser.enumConstants()`.
    `Result` | `visitEqualityExprAlt​(GroovyParser.EqualityExprAltContext ctx)` | Visit a parse tree produced by the `equalityExprAlt` labeled alternative in `GroovyParser.expression()`.
    `Result` | `visitExclusiveOrExprAlt​(GroovyParser.ExclusiveOrExprAltContext ctx)` | Visit a parse tree produced by the `exclusiveOrExprAlt` labeled alternative in `GroovyParser.expression()`.
    `Result` | `visitExpression​(GroovyParser.ExpressionContext ctx)` | Visit a parse tree produced by `GroovyParser.expression()`.
    `Result` | `visitExpressionInPar​(GroovyParser.ExpressionInParContext ctx)` | Visit a parse tree produced by `GroovyParser.expressionInPar()`.
    `Result` | `visitExpressionList​(GroovyParser.ExpressionListContext ctx)` | Visit a parse tree produced by `GroovyParser.expressionList(boolean)`.
    `Result` | `visitExpressionListElement​(GroovyParser.ExpressionListElementContext ctx)` | Visit a parse tree produced by `GroovyParser.expressionListElement(boolean)`.
    `Result` | `visitExpressionStmtAlt​(GroovyParser.ExpressionStmtAltContext ctx)` | Visit a parse tree produced by the `expressionStmtAlt` labeled alternative in `GroovyParser.statement()`.
    `Result` | `visitFieldDeclaration​(GroovyParser.FieldDeclarationContext ctx)` | Visit a parse tree produced by `GroovyParser.fieldDeclaration()`.
    `Result` | `visitFinallyBlock​(GroovyParser.FinallyBlockContext ctx)` | Visit a parse tree produced by `GroovyParser.finallyBlock()`.
    `Result` | `visitFloatingPointLiteralAlt​(GroovyParser.FloatingPointLiteralAltContext ctx)` | Visit a parse tree produced by the `floatingPointLiteralAlt` labeled alternative in `GroovyParser.literal()`.
    `Result` | `visitForControl​(GroovyParser.ForControlContext ctx)` | Visit a parse tree produced by `GroovyParser.forControl()`.
    `Result` | `visitForInit​(GroovyParser.ForInitContext ctx)` | Visit a parse tree produced by `GroovyParser.forInit()`.
    `Result` | `visitFormalParameter​(GroovyParser.FormalParameterContext ctx)` | Visit a parse tree produced by `GroovyParser.formalParameter()`.
    `Result` | `visitFormalParameterList​(GroovyParser.FormalParameterListContext ctx)` | Visit a parse tree produced by `GroovyParser.formalParameterList()`.
    `Result` | `visitFormalParameters​(GroovyParser.FormalParametersContext ctx)` | Visit a parse tree produced by `GroovyParser.formalParameters()`.
    `Result` | `visitForStmtAlt​(GroovyParser.ForStmtAltContext ctx)` | Visit a parse tree produced by the `forStmtAlt` labeled alternative in `GroovyParser.loopStatement()`.
    `Result` | `visitForUpdate​(GroovyParser.ForUpdateContext ctx)` | Visit a parse tree produced by `GroovyParser.forUpdate()`.
    `Result` | `visitGstring​(GroovyParser.GstringContext ctx)` | Visit a parse tree produced by `GroovyParser.gstring()`.
    `Result` | `visitGstringPath​(GroovyParser.GstringPathContext ctx)` | Visit a parse tree produced by `GroovyParser.gstringPath()`.
    `Result` | `visitGstringPrmrAlt​(GroovyParser.GstringPrmrAltContext ctx)` | Visit a parse tree produced by the `gstringPrmrAlt` labeled alternative in `GroovyParser.commandPrimary()`.
    `Result` | `visitGstringValue​(GroovyParser.GstringValueContext ctx)` | Visit a parse tree produced by `GroovyParser.gstringValue()`.
    `Result` | `visitIdentifier​(GroovyParser.IdentifierContext ctx)` | Visit a parse tree produced by `GroovyParser.identifier()`.
    `Result` | `visitIdentifierPrmrAlt​(GroovyParser.IdentifierPrmrAltContext ctx)` | Visit a parse tree produced by the `identifierPrmrAlt` labeled alternative in `GroovyParser.commandPrimary()`.
    `Result` | `visitIfElseStatement​(GroovyParser.IfElseStatementContext ctx)` | Visit a parse tree produced by `GroovyParser.ifElseStatement()`.
    `Result` | `visitImportDeclaration​(GroovyParser.ImportDeclarationContext ctx)` | Visit a parse tree produced by `GroovyParser.importDeclaration()`.
    `Result` | `visitInclusiveOrExprAlt​(GroovyParser.InclusiveOrExprAltContext ctx)` | Visit a parse tree produced by the `inclusiveOrExprAlt` labeled alternative in `GroovyParser.expression()`.
    `Result` | `visitIndexPropertyArgs​(GroovyParser.IndexPropertyArgsContext ctx)` | Visit a parse tree produced by `GroovyParser.indexPropertyArgs()`.
    `Result` | `visitIntegerLiteralAlt​(GroovyParser.IntegerLiteralAltContext ctx)` | Visit a parse tree produced by the `integerLiteralAlt` labeled alternative in `GroovyParser.literal()`.
    `Result` | `visitKeywords​(GroovyParser.KeywordsContext ctx)` | Visit a parse tree produced by `GroovyParser.keywords()`.
    `Result` | `visitLabeledStmtAlt​(GroovyParser.LabeledStmtAltContext ctx)` | Visit a parse tree produced by the `labeledStmtAlt` labeled alternative in `GroovyParser.statement()`.
    `Result` | `visitLambdaBody​(GroovyParser.LambdaBodyContext ctx)` | Visit a parse tree produced by `GroovyParser.lambdaBody()`.
    `Result` | `visitList​(GroovyParser.ListContext ctx)` | Visit a parse tree produced by `GroovyParser.list()`.
    `Result` | `visitListPrmrAlt​(GroovyParser.ListPrmrAltContext ctx)` | Visit a parse tree produced by the `listPrmrAlt` labeled alternative in `GroovyParser.primary()`.
    `Result` | `visitLiteral​(GroovyParser.LiteralContext ctx)` | Visit a parse tree produced by `GroovyParser.literal()`.
    `Result` | `visitLiteralPrmrAlt​(GroovyParser.LiteralPrmrAltContext ctx)` | Visit a parse tree produced by the `literalPrmrAlt` labeled alternative in `GroovyParser.commandPrimary()`.
    `Result` | `visitLocalVariableDeclaration​(GroovyParser.LocalVariableDeclarationContext ctx)` | Visit a parse tree produced by `GroovyParser.localVariableDeclaration()`.
    `Result` | `visitLocalVariableDeclarationStmtAlt​(GroovyParser.LocalVariableDeclarationStmtAltContext ctx)` | Visit a parse tree produced by the `localVariableDeclarationStmtAlt` labeled alternative in `GroovyParser.statement()`.
    `Result` | `visitLogicalAndExprAlt​(GroovyParser.LogicalAndExprAltContext ctx)` | Visit a parse tree produced by the `logicalAndExprAlt` labeled alternative in `GroovyParser.expression()`.
    `Result` | `visitLogicalOrExprAlt​(GroovyParser.LogicalOrExprAltContext ctx)` | Visit a parse tree produced by the `logicalOrExprAlt` labeled alternative in `GroovyParser.expression()`.
    `Result` | `visitLoopStatement​(GroovyParser.LoopStatementContext ctx)` | Visit a parse tree produced by `GroovyParser.loopStatement()`.
    `Result` | `visitLoopStmtAlt​(GroovyParser.LoopStmtAltContext ctx)` | Visit a parse tree produced by the `loopStmtAlt` labeled alternative in `GroovyParser.statement()`.
    `Result` | `visitMap​(GroovyParser.MapContext ctx)` | Visit a parse tree produced by `GroovyParser.map()`.
    `Result` | `visitMapEntry​(GroovyParser.MapEntryContext ctx)` | Visit a parse tree produced by `GroovyParser.mapEntry()`.
    `Result` | `visitMapEntryLabel​(GroovyParser.MapEntryLabelContext ctx)` | Visit a parse tree produced by `GroovyParser.mapEntryLabel()`.
    `Result` | `visitMapEntryList​(GroovyParser.MapEntryListContext ctx)` | Visit a parse tree produced by `GroovyParser.mapEntryList()`.
    `Result` | `visitMapPrmrAlt​(GroovyParser.MapPrmrAltContext ctx)` | Visit a parse tree produced by the `mapPrmrAlt` labeled alternative in `GroovyParser.primary()`.
    `Result` | `visitMemberDeclaration​(GroovyParser.MemberDeclarationContext ctx)` | Visit a parse tree produced by `GroovyParser.memberDeclaration(int)`.
    `Result` | `visitMethodBody​(GroovyParser.MethodBodyContext ctx)` | Visit a parse tree produced by `GroovyParser.methodBody()`.
    `Result` | `visitMethodDeclaration​(GroovyParser.MethodDeclarationContext ctx)` | Visit a parse tree produced by `GroovyParser.methodDeclaration(int, int)`.
    `Result` | `visitMethodDeclarationStmtAlt​(GroovyParser.MethodDeclarationStmtAltContext ctx)` | Visit a parse tree produced by the `methodDeclarationStmtAlt` labeled alternative in `GroovyParser.statement()`.
    `Result` | `visitMethodName​(GroovyParser.MethodNameContext ctx)` | Visit a parse tree produced by `GroovyParser.methodName()`.
    `Result` | `visitModifier​(GroovyParser.ModifierContext ctx)` | Visit a parse tree produced by `GroovyParser.modifier()`.
    `Result` | `visitModifiers​(GroovyParser.ModifiersContext ctx)` | Visit a parse tree produced by `GroovyParser.modifiers()`.
    `Result` | `visitModifiersOpt​(GroovyParser.ModifiersOptContext ctx)` | Visit a parse tree produced by `GroovyParser.modifiersOpt()`.
    `Result` | `visitMultipleAssignmentExprAlt​(GroovyParser.MultipleAssignmentExprAltContext ctx)` | Visit a parse tree produced by the `multipleAssignmentExprAlt` labeled alternative in `GroovyParser.expression()`.
    `Result` | `visitMultiplicativeExprAlt​(GroovyParser.MultiplicativeExprAltContext ctx)` | Visit a parse tree produced by the `multiplicativeExprAlt` labeled alternative in `GroovyParser.expression()`.
    `Result` | `visitNamedPropertyArgs​(GroovyParser.NamedPropertyArgsContext ctx)` | Visit a parse tree produced by `GroovyParser.namedPropertyArgs()`.
    `Result` | `visitNamePart​(GroovyParser.NamePartContext ctx)` | Visit a parse tree produced by `GroovyParser.namePart()`.
    `Result` | `visitNewPrmrAlt​(GroovyParser.NewPrmrAltContext ctx)` | Visit a parse tree produced by the `newPrmrAlt` labeled alternative in `GroovyParser.primary()`.
    `Result` | `visitNls​(GroovyParser.NlsContext ctx)` | Visit a parse tree produced by `GroovyParser.nls()`.
    `Result` | `visitNonWildcardTypeArguments​(GroovyParser.NonWildcardTypeArgumentsContext ctx)` | Visit a parse tree produced by `GroovyParser.nonWildcardTypeArguments()`.
    `Result` | `visitNullLiteralAlt​(GroovyParser.NullLiteralAltContext ctx)` | Visit a parse tree produced by the `nullLiteralAlt` labeled alternative in `GroovyParser.literal()`.
    `Result` | `visitPackageDeclaration​(GroovyParser.PackageDeclarationContext ctx)` | Visit a parse tree produced by `GroovyParser.packageDeclaration()`.
    `Result` | `visitParenPrmrAlt​(GroovyParser.ParenPrmrAltContext ctx)` | Visit a parse tree produced by the `parenPrmrAlt` labeled alternative in `GroovyParser.namedPropertyArgPrimary()`.
    `Result` | `visitParExpression​(GroovyParser.ParExpressionContext ctx)` | Visit a parse tree produced by `GroovyParser.parExpression()`.
    `Result` | `visitPathElement​(GroovyParser.PathElementContext ctx)` | Visit a parse tree produced by `GroovyParser.pathElement()`.
    `Result` | `visitPathExpression​(GroovyParser.PathExpressionContext ctx)` | Visit a parse tree produced by `GroovyParser.pathExpression()`.
    `Result` | `visitPostfixExprAlt​(GroovyParser.PostfixExprAltContext ctx)` | Visit a parse tree produced by the `postfixExprAlt` labeled alternative in `GroovyParser.castOperandExpression()`.
    `Result` | `visitPostfixExpression​(GroovyParser.PostfixExpressionContext ctx)` | Visit a parse tree produced by `GroovyParser.postfixExpression()`.
    `Result` | `visitPowerExprAlt​(GroovyParser.PowerExprAltContext ctx)` | Visit a parse tree produced by the `powerExprAlt` labeled alternative in `GroovyParser.expression()`.
    `Result` | `visitPrimary​(GroovyParser.PrimaryContext ctx)` | Visit a parse tree produced by `GroovyParser.primary()`.
    `Result` | `visitPrimitiveType​(GroovyParser.PrimitiveTypeContext ctx)` | Visit a parse tree produced by `GroovyParser.primitiveType()`.
    `Result` | `visitQualifiedClassName​(GroovyParser.QualifiedClassNameContext ctx)` | Visit a parse tree produced by `GroovyParser.qualifiedClassName()`.
    `Result` | `visitQualifiedClassNameList​(GroovyParser.QualifiedClassNameListContext ctx)` | Visit a parse tree produced by `GroovyParser.qualifiedClassNameList()`.
    `Result` | `visitQualifiedName​(GroovyParser.QualifiedNameContext ctx)` | Visit a parse tree produced by `GroovyParser.qualifiedName()`.
    `Result` | `visitQualifiedNameElement​(GroovyParser.QualifiedNameElementContext ctx)` | Visit a parse tree produced by `GroovyParser.qualifiedNameElement()`.
    `Result` | `visitQualifiedNameElements​(GroovyParser.QualifiedNameElementsContext ctx)` | Visit a parse tree produced by `GroovyParser.qualifiedNameElements()`.
    `Result` | `visitQualifiedStandardClassName​(GroovyParser.QualifiedStandardClassNameContext ctx)` | Visit a parse tree produced by `GroovyParser.qualifiedStandardClassName()`.
    `Result` | `visitRegexExprAlt​(GroovyParser.RegexExprAltContext ctx)` | Visit a parse tree produced by the `regexExprAlt` labeled alternative in `GroovyParser.expression()`.
    `Result` | `visitRelationalExprAlt​(GroovyParser.RelationalExprAltContext ctx)` | Visit a parse tree produced by the `relationalExprAlt` labeled alternative in `GroovyParser.expression()`.
    `Result` | `visitResource​(GroovyParser.ResourceContext ctx)` | Visit a parse tree produced by `GroovyParser.resource()`.
    `Result` | `visitResourceList​(GroovyParser.ResourceListContext ctx)` | Visit a parse tree produced by `GroovyParser.resourceList()`.
    `Result` | `visitResources​(GroovyParser.ResourcesContext ctx)` | Visit a parse tree produced by `GroovyParser.resources()`.
    `Result` | `visitReturnStmtAlt​(GroovyParser.ReturnStmtAltContext ctx)` | Visit a parse tree produced by the `returnStmtAlt` labeled alternative in `GroovyParser.statement()`.
    `Result` | `visitReturnType​(GroovyParser.ReturnTypeContext ctx)` | Visit a parse tree produced by `GroovyParser.returnType(int)`.
    `Result` | `visitRparen​(GroovyParser.RparenContext ctx)` | Visit a parse tree produced by `GroovyParser.rparen()`.
    `Result` | `visitScriptStatement​(GroovyParser.ScriptStatementContext ctx)` | Visit a parse tree produced by `GroovyParser.scriptStatement()`.
    `Result` | `visitScriptStatements​(GroovyParser.ScriptStatementsContext ctx)` | Visit a parse tree produced by `GroovyParser.scriptStatements()`.
    `Result` | `visitSep​(GroovyParser.SepContext ctx)` | Visit a parse tree produced by `GroovyParser.sep()`.
    `Result` | `visitShiftExprAlt​(GroovyParser.ShiftExprAltContext ctx)` | Visit a parse tree produced by the `shiftExprAlt` labeled alternative in `GroovyParser.expression()`.
    `Result` | `visitStandardLambdaExpression​(GroovyParser.StandardLambdaExpressionContext ctx)` | Visit a parse tree produced by `GroovyParser.standardLambdaExpression()`.
    `Result` | `visitStandardLambdaParameters​(GroovyParser.StandardLambdaParametersContext ctx)` | Visit a parse tree produced by `GroovyParser.standardLambdaParameters()`.
    `Result` | `visitStatement​(GroovyParser.StatementContext ctx)` | Visit a parse tree produced by `GroovyParser.statement()`.
    `Result` | `visitStatementExpression​(GroovyParser.StatementExpressionContext ctx)` | Visit a parse tree produced by `GroovyParser.statementExpression()`.
    `Result` | `visitStringLiteral​(GroovyParser.StringLiteralContext ctx)` | Visit a parse tree produced by `GroovyParser.stringLiteral()`.
    `Result` | `visitStringLiteralAlt​(GroovyParser.StringLiteralAltContext ctx)` | Visit a parse tree produced by the `stringLiteralAlt` labeled alternative in `GroovyParser.literal()`.
    `Result` | `visitSuperPrmrAlt​(GroovyParser.SuperPrmrAltContext ctx)` | Visit a parse tree produced by the `superPrmrAlt` labeled alternative in `GroovyParser.primary()`.
    `Result` | `visitSwitchBlockStatementGroup​(GroovyParser.SwitchBlockStatementGroupContext ctx)` | Visit a parse tree produced by `GroovyParser.switchBlockStatementGroup()`.
    `Result` | `visitSwitchLabel​(GroovyParser.SwitchLabelContext ctx)` | Visit a parse tree produced by `GroovyParser.switchLabel()`.
    `Result` | `visitSwitchStatement​(GroovyParser.SwitchStatementContext ctx)` | Visit a parse tree produced by `GroovyParser.switchStatement()`.
    `Result` | `visitSynchronizedStmtAlt​(GroovyParser.SynchronizedStmtAltContext ctx)` | Visit a parse tree produced by the `synchronizedStmtAlt` labeled alternative in `GroovyParser.statement()`.
    `Result` | `visitThisFormalParameter​(GroovyParser.ThisFormalParameterContext ctx)` | Visit a parse tree produced by `GroovyParser.thisFormalParameter()`.
    `Result` | `visitThisPrmrAlt​(GroovyParser.ThisPrmrAltContext ctx)` | Visit a parse tree produced by the `thisPrmrAlt` labeled alternative in `GroovyParser.primary()`.
    `Result` | `visitThrowStmtAlt​(GroovyParser.ThrowStmtAltContext ctx)` | Visit a parse tree produced by the `throwStmtAlt` labeled alternative in `GroovyParser.statement()`.
    `Result` | `visitTryCatchStatement​(GroovyParser.TryCatchStatementContext ctx)` | Visit a parse tree produced by `GroovyParser.tryCatchStatement()`.
    `Result` | `visitTryCatchStmtAlt​(GroovyParser.TryCatchStmtAltContext ctx)` | Visit a parse tree produced by the `tryCatchStmtAlt` labeled alternative in `GroovyParser.statement()`.
    `Result` | `visitType​(GroovyParser.TypeContext ctx)` | Visit a parse tree produced by `GroovyParser.type()`.
    `Result` | `visitTypeArgument​(GroovyParser.TypeArgumentContext ctx)` | Visit a parse tree produced by `GroovyParser.typeArgument()`.
    `Result` | `visitTypeArguments​(GroovyParser.TypeArgumentsContext ctx)` | Visit a parse tree produced by `GroovyParser.typeArguments()`.
    `Result` | `visitTypeArgumentsOrDiamond​(GroovyParser.TypeArgumentsOrDiamondContext ctx)` | Visit a parse tree produced by `GroovyParser.typeArgumentsOrDiamond()`.
    `Result` | `visitTypeBound​(GroovyParser.TypeBoundContext ctx)` | Visit a parse tree produced by `GroovyParser.typeBound()`.
    `Result` | `visitTypeDeclaration​(GroovyParser.TypeDeclarationContext ctx)` | Visit a parse tree produced by `GroovyParser.typeDeclaration()`.
    `Result` | `visitTypeList​(GroovyParser.TypeListContext ctx)` | Visit a parse tree produced by `GroovyParser.typeList()`.
    `Result` | `visitTypeNamePair​(GroovyParser.TypeNamePairContext ctx)` | Visit a parse tree produced by `GroovyParser.typeNamePair()`.
    `Result` | `visitTypeNamePairs​(GroovyParser.TypeNamePairsContext ctx)` | Visit a parse tree produced by `GroovyParser.typeNamePairs()`.
    `Result` | `visitTypeParameter​(GroovyParser.TypeParameterContext ctx)` | Visit a parse tree produced by `GroovyParser.typeParameter()`.
    `Result` | `visitTypeParameters​(GroovyParser.TypeParametersContext ctx)` | Visit a parse tree produced by `GroovyParser.typeParameters()`.
    `Result` | `visitUnaryAddExprAlt​(GroovyParser.UnaryAddExprAltContext ctx)` | Visit a parse tree produced by the `unaryAddExprAlt` labeled alternative in `GroovyParser.castOperandExpression()`.
    `Result` | `visitUnaryNotExprAlt​(GroovyParser.UnaryNotExprAltContext ctx)` | Visit a parse tree produced by the `unaryNotExprAlt` labeled alternative in `GroovyParser.castOperandExpression()`.
    `Result` | `visitVariableDeclaration​(GroovyParser.VariableDeclarationContext ctx)` | Visit a parse tree produced by `GroovyParser.variableDeclaration(int)`.
    `Result` | `visitVariableDeclarator​(GroovyParser.VariableDeclaratorContext ctx)` | Visit a parse tree produced by `GroovyParser.variableDeclarator()`.
    `Result` | `visitVariableDeclaratorId​(GroovyParser.VariableDeclaratorIdContext ctx)` | Visit a parse tree produced by `GroovyParser.variableDeclaratorId()`.
    `Result` | `visitVariableDeclarators​(GroovyParser.VariableDeclaratorsContext ctx)` | Visit a parse tree produced by `GroovyParser.variableDeclarators()`.
    `Result` | `visitVariableInitializer​(GroovyParser.VariableInitializerContext ctx)` | Visit a parse tree produced by `GroovyParser.variableInitializer()`.
    `Result` | `visitVariableInitializers​(GroovyParser.VariableInitializersContext ctx)` | Visit a parse tree produced by `GroovyParser.variableInitializers()`.
    `Result` | `visitVariableModifier​(GroovyParser.VariableModifierContext ctx)` | Visit a parse tree produced by `GroovyParser.variableModifier()`.
    `Result` | `visitVariableModifiers​(GroovyParser.VariableModifiersContext ctx)` | Visit a parse tree produced by `GroovyParser.variableModifiers()`.
    `Result` | `visitVariableModifiersOpt​(GroovyParser.VariableModifiersOptContext ctx)` | Visit a parse tree produced by `GroovyParser.variableModifiersOpt()`.
    `Result` | `visitVariableNames​(GroovyParser.VariableNamesContext ctx)` | Visit a parse tree produced by `GroovyParser.variableNames()`.
    `Result` | `visitWhileStmtAlt​(GroovyParser.WhileStmtAltContext ctx)` | Visit a parse tree produced by the `whileStmtAlt` labeled alternative in `GroovyParser.loopStatement()`.

    - ### Methods inherited from interface org.antlr.v4.runtime.tree.ParseTreeVisitor

      `visit, visitChildren, visitErrorNode, visitTerminal`

- - ### Method Detail

    - #### visitIdentifierPrmrAlt

          Result visitIdentifierPrmrAlt​(@NotNull
                                        GroovyParser.IdentifierPrmrAltContext ctx)

      Visit a parse tree produced by the `identifierPrmrAlt` labeled alternative in `GroovyParser.commandPrimary()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitLiteralPrmrAlt

          Result visitLiteralPrmrAlt​(@NotNull
                                     GroovyParser.LiteralPrmrAltContext ctx)

      Visit a parse tree produced by the `literalPrmrAlt` labeled alternative in `GroovyParser.commandPrimary()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGstringPrmrAlt

          Result visitGstringPrmrAlt​(@NotNull
                                     GroovyParser.GstringPrmrAltContext ctx)

      Visit a parse tree produced by the `gstringPrmrAlt` labeled alternative in `GroovyParser.commandPrimary()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitNewPrmrAlt

          Result visitNewPrmrAlt​(@NotNull
                                 GroovyParser.NewPrmrAltContext ctx)

      Visit a parse tree produced by the `newPrmrAlt` labeled alternative in `GroovyParser.primary()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitThisPrmrAlt

          Result visitThisPrmrAlt​(@NotNull
                                  GroovyParser.ThisPrmrAltContext ctx)

      Visit a parse tree produced by the `thisPrmrAlt` labeled alternative in `GroovyParser.primary()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitSuperPrmrAlt

          Result visitSuperPrmrAlt​(@NotNull
                                   GroovyParser.SuperPrmrAltContext ctx)

      Visit a parse tree produced by the `superPrmrAlt` labeled alternative in `GroovyParser.primary()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitParenPrmrAlt

          Result visitParenPrmrAlt​(@NotNull
                                   GroovyParser.ParenPrmrAltContext ctx)

      Visit a parse tree produced by the `parenPrmrAlt` labeled alternative in `GroovyParser.namedPropertyArgPrimary()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitClosureOrLambdaExpressionPrmrAlt

          Result visitClosureOrLambdaExpressionPrmrAlt​(@NotNull
                                                       GroovyParser.ClosureOrLambdaExpressionPrmrAltContext ctx)

      Visit a parse tree produced by the `closureOrLambdaExpressionPrmrAlt` labeled alternative in `GroovyParser.primary()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitListPrmrAlt

          Result visitListPrmrAlt​(@NotNull
                                  GroovyParser.ListPrmrAltContext ctx)

      Visit a parse tree produced by the `listPrmrAlt` labeled alternative in `GroovyParser.primary()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitMapPrmrAlt

          Result visitMapPrmrAlt​(@NotNull
                                 GroovyParser.MapPrmrAltContext ctx)

      Visit a parse tree produced by the `mapPrmrAlt` labeled alternative in `GroovyParser.primary()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitBuiltInTypePrmrAlt

          Result visitBuiltInTypePrmrAlt​(@NotNull
                                         GroovyParser.BuiltInTypePrmrAltContext ctx)

      Visit a parse tree produced by the `builtInTypePrmrAlt` labeled alternative in `GroovyParser.primary()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitIntegerLiteralAlt

          Result visitIntegerLiteralAlt​(@NotNull
                                        GroovyParser.IntegerLiteralAltContext ctx)

      Visit a parse tree produced by the `integerLiteralAlt` labeled alternative in `GroovyParser.literal()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitFloatingPointLiteralAlt

          Result visitFloatingPointLiteralAlt​(@NotNull
                                              GroovyParser.FloatingPointLiteralAltContext ctx)

      Visit a parse tree produced by the `floatingPointLiteralAlt` labeled alternative in `GroovyParser.literal()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitStringLiteralAlt

          Result visitStringLiteralAlt​(@NotNull
                                       GroovyParser.StringLiteralAltContext ctx)

      Visit a parse tree produced by the `stringLiteralAlt` labeled alternative in `GroovyParser.literal()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitBooleanLiteralAlt

          Result visitBooleanLiteralAlt​(@NotNull
                                        GroovyParser.BooleanLiteralAltContext ctx)

      Visit a parse tree produced by the `booleanLiteralAlt` labeled alternative in `GroovyParser.literal()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitNullLiteralAlt

          Result visitNullLiteralAlt​(@NotNull
                                     GroovyParser.NullLiteralAltContext ctx)

      Visit a parse tree produced by the `nullLiteralAlt` labeled alternative in `GroovyParser.literal()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitCastExprAlt

          Result visitCastExprAlt​(@NotNull
                                  GroovyParser.CastExprAltContext ctx)

      Visit a parse tree produced by the `castExprAlt` labeled alternative in `GroovyParser.castOperandExpression()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitPostfixExprAlt

          Result visitPostfixExprAlt​(@NotNull
                                     GroovyParser.PostfixExprAltContext ctx)

      Visit a parse tree produced by the `postfixExprAlt` labeled alternative in `GroovyParser.castOperandExpression()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitUnaryNotExprAlt

          Result visitUnaryNotExprAlt​(@NotNull
                                      GroovyParser.UnaryNotExprAltContext ctx)

      Visit a parse tree produced by the `unaryNotExprAlt` labeled alternative in `GroovyParser.castOperandExpression()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitPowerExprAlt

          Result visitPowerExprAlt​(@NotNull
                                   GroovyParser.PowerExprAltContext ctx)

      Visit a parse tree produced by the `powerExprAlt` labeled alternative in `GroovyParser.expression()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitUnaryAddExprAlt

          Result visitUnaryAddExprAlt​(@NotNull
                                      GroovyParser.UnaryAddExprAltContext ctx)

      Visit a parse tree produced by the `unaryAddExprAlt` labeled alternative in `GroovyParser.castOperandExpression()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitMultiplicativeExprAlt

          Result visitMultiplicativeExprAlt​(@NotNull
                                            GroovyParser.MultiplicativeExprAltContext ctx)

      Visit a parse tree produced by the `multiplicativeExprAlt` labeled alternative in `GroovyParser.expression()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitAdditiveExprAlt

          Result visitAdditiveExprAlt​(@NotNull
                                      GroovyParser.AdditiveExprAltContext ctx)

      Visit a parse tree produced by the `additiveExprAlt` labeled alternative in `GroovyParser.expression()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitShiftExprAlt

          Result visitShiftExprAlt​(@NotNull
                                   GroovyParser.ShiftExprAltContext ctx)

      Visit a parse tree produced by the `shiftExprAlt` labeled alternative in `GroovyParser.expression()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitRelationalExprAlt

          Result visitRelationalExprAlt​(@NotNull
                                        GroovyParser.RelationalExprAltContext ctx)

      Visit a parse tree produced by the `relationalExprAlt` labeled alternative in `GroovyParser.expression()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitEqualityExprAlt

          Result visitEqualityExprAlt​(@NotNull
                                      GroovyParser.EqualityExprAltContext ctx)

      Visit a parse tree produced by the `equalityExprAlt` labeled alternative in `GroovyParser.expression()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitRegexExprAlt

          Result visitRegexExprAlt​(@NotNull
                                   GroovyParser.RegexExprAltContext ctx)

      Visit a parse tree produced by the `regexExprAlt` labeled alternative in `GroovyParser.expression()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitAndExprAlt

          Result visitAndExprAlt​(@NotNull
                                 GroovyParser.AndExprAltContext ctx)

      Visit a parse tree produced by the `andExprAlt` labeled alternative in `GroovyParser.expression()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitExclusiveOrExprAlt

          Result visitExclusiveOrExprAlt​(@NotNull
                                         GroovyParser.ExclusiveOrExprAltContext ctx)

      Visit a parse tree produced by the `exclusiveOrExprAlt` labeled alternative in `GroovyParser.expression()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitInclusiveOrExprAlt

          Result visitInclusiveOrExprAlt​(@NotNull
                                         GroovyParser.InclusiveOrExprAltContext ctx)

      Visit a parse tree produced by the `inclusiveOrExprAlt` labeled alternative in `GroovyParser.expression()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitLogicalAndExprAlt

          Result visitLogicalAndExprAlt​(@NotNull
                                        GroovyParser.LogicalAndExprAltContext ctx)

      Visit a parse tree produced by the `logicalAndExprAlt` labeled alternative in `GroovyParser.expression()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitLogicalOrExprAlt

          Result visitLogicalOrExprAlt​(@NotNull
                                       GroovyParser.LogicalOrExprAltContext ctx)

      Visit a parse tree produced by the `logicalOrExprAlt` labeled alternative in `GroovyParser.expression()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitConditionalExprAlt

          Result visitConditionalExprAlt​(@NotNull
                                         GroovyParser.ConditionalExprAltContext ctx)

      Visit a parse tree produced by the `conditionalExprAlt` labeled alternative in `GroovyParser.expression()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitMultipleAssignmentExprAlt

          Result visitMultipleAssignmentExprAlt​(@NotNull
                                                GroovyParser.MultipleAssignmentExprAltContext ctx)

      Visit a parse tree produced by the `multipleAssignmentExprAlt` labeled alternative in `GroovyParser.expression()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitAssignmentExprAlt

          Result visitAssignmentExprAlt​(@NotNull
                                        GroovyParser.AssignmentExprAltContext ctx)

      Visit a parse tree produced by the `assignmentExprAlt` labeled alternative in `GroovyParser.expression()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitBlockStmtAlt

          Result visitBlockStmtAlt​(@NotNull
                                   GroovyParser.BlockStmtAltContext ctx)

      Visit a parse tree produced by the `blockStmtAlt` labeled alternative in `GroovyParser.statement()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitConditionalStmtAlt

          Result visitConditionalStmtAlt​(@NotNull
                                         GroovyParser.ConditionalStmtAltContext ctx)

      Visit a parse tree produced by the `conditionalStmtAlt` labeled alternative in `GroovyParser.statement()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitLoopStmtAlt

          Result visitLoopStmtAlt​(@NotNull
                                  GroovyParser.LoopStmtAltContext ctx)

      Visit a parse tree produced by the `loopStmtAlt` labeled alternative in `GroovyParser.statement()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTryCatchStmtAlt

          Result visitTryCatchStmtAlt​(@NotNull
                                      GroovyParser.TryCatchStmtAltContext ctx)

      Visit a parse tree produced by the `tryCatchStmtAlt` labeled alternative in `GroovyParser.statement()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitSynchronizedStmtAlt

          Result visitSynchronizedStmtAlt​(@NotNull
                                          GroovyParser.SynchronizedStmtAltContext ctx)

      Visit a parse tree produced by the `synchronizedStmtAlt` labeled alternative in `GroovyParser.statement()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitReturnStmtAlt

          Result visitReturnStmtAlt​(@NotNull
                                    GroovyParser.ReturnStmtAltContext ctx)

      Visit a parse tree produced by the `returnStmtAlt` labeled alternative in `GroovyParser.statement()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitThrowStmtAlt

          Result visitThrowStmtAlt​(@NotNull
                                   GroovyParser.ThrowStmtAltContext ctx)

      Visit a parse tree produced by the `throwStmtAlt` labeled alternative in `GroovyParser.statement()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitBreakStmtAlt

          Result visitBreakStmtAlt​(@NotNull
                                   GroovyParser.BreakStmtAltContext ctx)

      Visit a parse tree produced by the `breakStmtAlt` labeled alternative in `GroovyParser.statement()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitContinueStmtAlt

          Result visitContinueStmtAlt​(@NotNull
                                      GroovyParser.ContinueStmtAltContext ctx)

      Visit a parse tree produced by the `continueStmtAlt` labeled alternative in `GroovyParser.statement()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitLabeledStmtAlt

          Result visitLabeledStmtAlt​(@NotNull
                                     GroovyParser.LabeledStmtAltContext ctx)

      Visit a parse tree produced by the `labeledStmtAlt` labeled alternative in `GroovyParser.statement()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitAssertStmtAlt

          Result visitAssertStmtAlt​(@NotNull
                                    GroovyParser.AssertStmtAltContext ctx)

      Visit a parse tree produced by the `assertStmtAlt` labeled alternative in `GroovyParser.statement()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitLocalVariableDeclarationStmtAlt

          Result visitLocalVariableDeclarationStmtAlt​(@NotNull
                                                      GroovyParser.LocalVariableDeclarationStmtAltContext ctx)

      Visit a parse tree produced by the `localVariableDeclarationStmtAlt` labeled alternative in `GroovyParser.statement()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitMethodDeclarationStmtAlt

          Result visitMethodDeclarationStmtAlt​(@NotNull
                                               GroovyParser.MethodDeclarationStmtAltContext ctx)

      Visit a parse tree produced by the `methodDeclarationStmtAlt` labeled alternative in `GroovyParser.statement()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitExpressionStmtAlt

          Result visitExpressionStmtAlt​(@NotNull
                                        GroovyParser.ExpressionStmtAltContext ctx)

      Visit a parse tree produced by the `expressionStmtAlt` labeled alternative in `GroovyParser.statement()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitEmptyStmtAlt

          Result visitEmptyStmtAlt​(@NotNull
                                   GroovyParser.EmptyStmtAltContext ctx)

      Visit a parse tree produced by the `emptyStmtAlt` labeled alternative in `GroovyParser.statement()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitCommandExprAlt

          Result visitCommandExprAlt​(@NotNull
                                     GroovyParser.CommandExprAltContext ctx)

      Visit a parse tree produced by the `commandExprAlt` labeled alternative in `GroovyParser.statementExpression()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitForStmtAlt

          Result visitForStmtAlt​(@NotNull
                                 GroovyParser.ForStmtAltContext ctx)

      Visit a parse tree produced by the `forStmtAlt` labeled alternative in `GroovyParser.loopStatement()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitWhileStmtAlt

          Result visitWhileStmtAlt​(@NotNull
                                   GroovyParser.WhileStmtAltContext ctx)

      Visit a parse tree produced by the `whileStmtAlt` labeled alternative in `GroovyParser.loopStatement()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitDoWhileStmtAlt

          Result visitDoWhileStmtAlt​(@NotNull
                                     GroovyParser.DoWhileStmtAltContext ctx)

      Visit a parse tree produced by the `doWhileStmtAlt` labeled alternative in `GroovyParser.loopStatement()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitCompilationUnit

          Result visitCompilationUnit​(@NotNull
                                      GroovyParser.CompilationUnitContext ctx)

      Visit a parse tree produced by `GroovyParser.compilationUnit()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitScriptStatements

          Result visitScriptStatements​(@NotNull
                                       GroovyParser.ScriptStatementsContext ctx)

      Visit a parse tree produced by `GroovyParser.scriptStatements()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitScriptStatement

          Result visitScriptStatement​(@NotNull
                                      GroovyParser.ScriptStatementContext ctx)

      Visit a parse tree produced by `GroovyParser.scriptStatement()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitPackageDeclaration

          Result visitPackageDeclaration​(@NotNull
                                         GroovyParser.PackageDeclarationContext ctx)

      Visit a parse tree produced by `GroovyParser.packageDeclaration()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitImportDeclaration

          Result visitImportDeclaration​(@NotNull
                                        GroovyParser.ImportDeclarationContext ctx)

      Visit a parse tree produced by `GroovyParser.importDeclaration()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTypeDeclaration

          Result visitTypeDeclaration​(@NotNull
                                      GroovyParser.TypeDeclarationContext ctx)

      Visit a parse tree produced by `GroovyParser.typeDeclaration()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitModifier

          Result visitModifier​(@NotNull
                               GroovyParser.ModifierContext ctx)

      Visit a parse tree produced by `GroovyParser.modifier()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitModifiersOpt

          Result visitModifiersOpt​(@NotNull
                                   GroovyParser.ModifiersOptContext ctx)

      Visit a parse tree produced by `GroovyParser.modifiersOpt()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitModifiers

          Result visitModifiers​(@NotNull
                                GroovyParser.ModifiersContext ctx)

      Visit a parse tree produced by `GroovyParser.modifiers()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitClassOrInterfaceModifiersOpt

          Result visitClassOrInterfaceModifiersOpt​(@NotNull
                                                   GroovyParser.ClassOrInterfaceModifiersOptContext ctx)

      Visit a parse tree produced by `GroovyParser.classOrInterfaceModifiersOpt()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitClassOrInterfaceModifiers

          Result visitClassOrInterfaceModifiers​(@NotNull
                                                GroovyParser.ClassOrInterfaceModifiersContext ctx)

      Visit a parse tree produced by `GroovyParser.classOrInterfaceModifiers()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitClassOrInterfaceModifier

          Result visitClassOrInterfaceModifier​(@NotNull
                                               GroovyParser.ClassOrInterfaceModifierContext ctx)

      Visit a parse tree produced by `GroovyParser.classOrInterfaceModifier()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitVariableModifier

          Result visitVariableModifier​(@NotNull
                                       GroovyParser.VariableModifierContext ctx)

      Visit a parse tree produced by `GroovyParser.variableModifier()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitVariableModifiersOpt

          Result visitVariableModifiersOpt​(@NotNull
                                           GroovyParser.VariableModifiersOptContext ctx)

      Visit a parse tree produced by `GroovyParser.variableModifiersOpt()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitVariableModifiers

          Result visitVariableModifiers​(@NotNull
                                        GroovyParser.VariableModifiersContext ctx)

      Visit a parse tree produced by `GroovyParser.variableModifiers()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTypeParameters

          Result visitTypeParameters​(@NotNull
                                     GroovyParser.TypeParametersContext ctx)

      Visit a parse tree produced by `GroovyParser.typeParameters()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTypeParameter

          Result visitTypeParameter​(@NotNull
                                    GroovyParser.TypeParameterContext ctx)

      Visit a parse tree produced by `GroovyParser.typeParameter()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTypeBound

          Result visitTypeBound​(@NotNull
                                GroovyParser.TypeBoundContext ctx)

      Visit a parse tree produced by `GroovyParser.typeBound()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTypeList

          Result visitTypeList​(@NotNull
                               GroovyParser.TypeListContext ctx)

      Visit a parse tree produced by `GroovyParser.typeList()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitClassDeclaration

          Result visitClassDeclaration​(@NotNull
                                       GroovyParser.ClassDeclarationContext ctx)

      Visit a parse tree produced by `GroovyParser.classDeclaration()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitClassBody

          Result visitClassBody​(@NotNull
                                GroovyParser.ClassBodyContext ctx)

      Visit a parse tree produced by `GroovyParser.classBody(int)`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitEnumConstants

          Result visitEnumConstants​(@NotNull
                                    GroovyParser.EnumConstantsContext ctx)

      Visit a parse tree produced by `GroovyParser.enumConstants()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitEnumConstant

          Result visitEnumConstant​(@NotNull
                                   GroovyParser.EnumConstantContext ctx)

      Visit a parse tree produced by `GroovyParser.enumConstant()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitClassBodyDeclaration

          Result visitClassBodyDeclaration​(@NotNull
                                           GroovyParser.ClassBodyDeclarationContext ctx)

      Visit a parse tree produced by `GroovyParser.classBodyDeclaration(int)`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitMemberDeclaration

          Result visitMemberDeclaration​(@NotNull
                                        GroovyParser.MemberDeclarationContext ctx)

      Visit a parse tree produced by `GroovyParser.memberDeclaration(int)`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitMethodDeclaration

          Result visitMethodDeclaration​(@NotNull
                                        GroovyParser.MethodDeclarationContext ctx)

      Visit a parse tree produced by `GroovyParser.methodDeclaration(int, int)`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitMethodName

          Result visitMethodName​(@NotNull
                                 GroovyParser.MethodNameContext ctx)

      Visit a parse tree produced by `GroovyParser.methodName()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitReturnType

          Result visitReturnType​(@NotNull
                                 GroovyParser.ReturnTypeContext ctx)

      Visit a parse tree produced by `GroovyParser.returnType(int)`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitFieldDeclaration

          Result visitFieldDeclaration​(@NotNull
                                       GroovyParser.FieldDeclarationContext ctx)

      Visit a parse tree produced by `GroovyParser.fieldDeclaration()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitVariableDeclarators

          Result visitVariableDeclarators​(@NotNull
                                          GroovyParser.VariableDeclaratorsContext ctx)

      Visit a parse tree produced by `GroovyParser.variableDeclarators()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitVariableDeclarator

          Result visitVariableDeclarator​(@NotNull
                                         GroovyParser.VariableDeclaratorContext ctx)

      Visit a parse tree produced by `GroovyParser.variableDeclarator()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitVariableDeclaratorId

          Result visitVariableDeclaratorId​(@NotNull
                                           GroovyParser.VariableDeclaratorIdContext ctx)

      Visit a parse tree produced by `GroovyParser.variableDeclaratorId()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitVariableInitializer

          Result visitVariableInitializer​(@NotNull
                                          GroovyParser.VariableInitializerContext ctx)

      Visit a parse tree produced by `GroovyParser.variableInitializer()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitVariableInitializers

          Result visitVariableInitializers​(@NotNull
                                           GroovyParser.VariableInitializersContext ctx)

      Visit a parse tree produced by `GroovyParser.variableInitializers()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitEmptyDims

          Result visitEmptyDims​(@NotNull
                                GroovyParser.EmptyDimsContext ctx)

      Visit a parse tree produced by `GroovyParser.emptyDims()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitEmptyDimsOpt

          Result visitEmptyDimsOpt​(@NotNull
                                   GroovyParser.EmptyDimsOptContext ctx)

      Visit a parse tree produced by `GroovyParser.emptyDimsOpt()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitType

          Result visitType​(@NotNull
                           GroovyParser.TypeContext ctx)

      Visit a parse tree produced by `GroovyParser.type()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitClassOrInterfaceType

          Result visitClassOrInterfaceType​(@NotNull
                                           GroovyParser.ClassOrInterfaceTypeContext ctx)

      Visit a parse tree produced by `GroovyParser.classOrInterfaceType()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitPrimitiveType

          Result visitPrimitiveType​(@NotNull
                                    GroovyParser.PrimitiveTypeContext ctx)

      Visit a parse tree produced by `GroovyParser.primitiveType()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTypeArguments

          Result visitTypeArguments​(@NotNull
                                    GroovyParser.TypeArgumentsContext ctx)

      Visit a parse tree produced by `GroovyParser.typeArguments()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTypeArgument

          Result visitTypeArgument​(@NotNull
                                   GroovyParser.TypeArgumentContext ctx)

      Visit a parse tree produced by `GroovyParser.typeArgument()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitAnnotatedQualifiedClassName

          Result visitAnnotatedQualifiedClassName​(@NotNull
                                                  GroovyParser.AnnotatedQualifiedClassNameContext ctx)

      Visit a parse tree produced by `GroovyParser.annotatedQualifiedClassName()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitQualifiedClassNameList

          Result visitQualifiedClassNameList​(@NotNull
                                             GroovyParser.QualifiedClassNameListContext ctx)

      Visit a parse tree produced by `GroovyParser.qualifiedClassNameList()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitFormalParameters

          Result visitFormalParameters​(@NotNull
                                       GroovyParser.FormalParametersContext ctx)

      Visit a parse tree produced by `GroovyParser.formalParameters()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitFormalParameterList

          Result visitFormalParameterList​(@NotNull
                                          GroovyParser.FormalParameterListContext ctx)

      Visit a parse tree produced by `GroovyParser.formalParameterList()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitThisFormalParameter

          Result visitThisFormalParameter​(@NotNull
                                          GroovyParser.ThisFormalParameterContext ctx)

      Visit a parse tree produced by `GroovyParser.thisFormalParameter()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitFormalParameter

          Result visitFormalParameter​(@NotNull
                                      GroovyParser.FormalParameterContext ctx)

      Visit a parse tree produced by `GroovyParser.formalParameter()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitMethodBody

          Result visitMethodBody​(@NotNull
                                 GroovyParser.MethodBodyContext ctx)

      Visit a parse tree produced by `GroovyParser.methodBody()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitQualifiedName

          Result visitQualifiedName​(@NotNull
                                    GroovyParser.QualifiedNameContext ctx)

      Visit a parse tree produced by `GroovyParser.qualifiedName()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitQualifiedNameElement

          Result visitQualifiedNameElement​(@NotNull
                                           GroovyParser.QualifiedNameElementContext ctx)

      Visit a parse tree produced by `GroovyParser.qualifiedNameElement()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitQualifiedNameElements

          Result visitQualifiedNameElements​(@NotNull
                                            GroovyParser.QualifiedNameElementsContext ctx)

      Visit a parse tree produced by `GroovyParser.qualifiedNameElements()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitQualifiedClassName

          Result visitQualifiedClassName​(@NotNull
                                         GroovyParser.QualifiedClassNameContext ctx)

      Visit a parse tree produced by `GroovyParser.qualifiedClassName()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitQualifiedStandardClassName

          Result visitQualifiedStandardClassName​(@NotNull
                                                 GroovyParser.QualifiedStandardClassNameContext ctx)

      Visit a parse tree produced by `GroovyParser.qualifiedStandardClassName()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitLiteral

          Result visitLiteral​(@NotNull
                              GroovyParser.LiteralContext ctx)

      Visit a parse tree produced by `GroovyParser.literal()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGstring

          Result visitGstring​(@NotNull
                              GroovyParser.GstringContext ctx)

      Visit a parse tree produced by `GroovyParser.gstring()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGstringValue

          Result visitGstringValue​(@NotNull
                                   GroovyParser.GstringValueContext ctx)

      Visit a parse tree produced by `GroovyParser.gstringValue()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGstringPath

          Result visitGstringPath​(@NotNull
                                  GroovyParser.GstringPathContext ctx)

      Visit a parse tree produced by `GroovyParser.gstringPath()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitStandardLambdaExpression

          Result visitStandardLambdaExpression​(@NotNull
                                               GroovyParser.StandardLambdaExpressionContext ctx)

      Visit a parse tree produced by `GroovyParser.standardLambdaExpression()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitStandardLambdaParameters

          Result visitStandardLambdaParameters​(@NotNull
                                               GroovyParser.StandardLambdaParametersContext ctx)

      Visit a parse tree produced by `GroovyParser.standardLambdaParameters()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitLambdaBody

          Result visitLambdaBody​(@NotNull
                                 GroovyParser.LambdaBodyContext ctx)

      Visit a parse tree produced by `GroovyParser.lambdaBody()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitClosure

          Result visitClosure​(@NotNull
                              GroovyParser.ClosureContext ctx)

      Visit a parse tree produced by `GroovyParser.closure()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitClosureOrLambdaExpression

          Result visitClosureOrLambdaExpression​(@NotNull
                                                GroovyParser.ClosureOrLambdaExpressionContext ctx)

      Visit a parse tree produced by `GroovyParser.closureOrLambdaExpression()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitBlockStatementsOpt

          Result visitBlockStatementsOpt​(@NotNull
                                         GroovyParser.BlockStatementsOptContext ctx)

      Visit a parse tree produced by `GroovyParser.blockStatementsOpt()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitBlockStatements

          Result visitBlockStatements​(@NotNull
                                      GroovyParser.BlockStatementsContext ctx)

      Visit a parse tree produced by `GroovyParser.blockStatements()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitAnnotationsOpt

          Result visitAnnotationsOpt​(@NotNull
                                     GroovyParser.AnnotationsOptContext ctx)

      Visit a parse tree produced by `GroovyParser.annotationsOpt()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitAnnotation

          Result visitAnnotation​(@NotNull
                                 GroovyParser.AnnotationContext ctx)

      Visit a parse tree produced by `GroovyParser.annotation()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitElementValues

          Result visitElementValues​(@NotNull
                                    GroovyParser.ElementValuesContext ctx)

      Visit a parse tree produced by `GroovyParser.elementValues()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitAnnotationName

          Result visitAnnotationName​(@NotNull
                                     GroovyParser.AnnotationNameContext ctx)

      Visit a parse tree produced by `GroovyParser.annotationName()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitElementValuePairs

          Result visitElementValuePairs​(@NotNull
                                        GroovyParser.ElementValuePairsContext ctx)

      Visit a parse tree produced by `GroovyParser.elementValuePairs()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitElementValuePair

          Result visitElementValuePair​(@NotNull
                                       GroovyParser.ElementValuePairContext ctx)

      Visit a parse tree produced by `GroovyParser.elementValuePair()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitElementValuePairName

          Result visitElementValuePairName​(@NotNull
                                           GroovyParser.ElementValuePairNameContext ctx)

      Visit a parse tree produced by `GroovyParser.elementValuePairName()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitElementValue

          Result visitElementValue​(@NotNull
                                   GroovyParser.ElementValueContext ctx)

      Visit a parse tree produced by `GroovyParser.elementValue()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitElementValueArrayInitializer

          Result visitElementValueArrayInitializer​(@NotNull
                                                   GroovyParser.ElementValueArrayInitializerContext ctx)

      Visit a parse tree produced by `GroovyParser.elementValueArrayInitializer()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitBlock

          Result visitBlock​(@NotNull
                            GroovyParser.BlockContext ctx)

      Visit a parse tree produced by `GroovyParser.block()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitBlockStatement

          Result visitBlockStatement​(@NotNull
                                     GroovyParser.BlockStatementContext ctx)

      Visit a parse tree produced by `GroovyParser.blockStatement()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitLocalVariableDeclaration

          Result visitLocalVariableDeclaration​(@NotNull
                                               GroovyParser.LocalVariableDeclarationContext ctx)

      Visit a parse tree produced by `GroovyParser.localVariableDeclaration()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitVariableDeclaration

          Result visitVariableDeclaration​(@NotNull
                                          GroovyParser.VariableDeclarationContext ctx)

      Visit a parse tree produced by `GroovyParser.variableDeclaration(int)`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTypeNamePairs

          Result visitTypeNamePairs​(@NotNull
                                    GroovyParser.TypeNamePairsContext ctx)

      Visit a parse tree produced by `GroovyParser.typeNamePairs()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTypeNamePair

          Result visitTypeNamePair​(@NotNull
                                   GroovyParser.TypeNamePairContext ctx)

      Visit a parse tree produced by `GroovyParser.typeNamePair()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitVariableNames

          Result visitVariableNames​(@NotNull
                                    GroovyParser.VariableNamesContext ctx)

      Visit a parse tree produced by `GroovyParser.variableNames()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitConditionalStatement

          Result visitConditionalStatement​(@NotNull
                                           GroovyParser.ConditionalStatementContext ctx)

      Visit a parse tree produced by `GroovyParser.conditionalStatement()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitIfElseStatement

          Result visitIfElseStatement​(@NotNull
                                      GroovyParser.IfElseStatementContext ctx)

      Visit a parse tree produced by `GroovyParser.ifElseStatement()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitSwitchStatement

          Result visitSwitchStatement​(@NotNull
                                      GroovyParser.SwitchStatementContext ctx)

      Visit a parse tree produced by `GroovyParser.switchStatement()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitLoopStatement

          Result visitLoopStatement​(@NotNull
                                    GroovyParser.LoopStatementContext ctx)

      Visit a parse tree produced by `GroovyParser.loopStatement()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitContinueStatement

          Result visitContinueStatement​(@NotNull
                                        GroovyParser.ContinueStatementContext ctx)

      Visit a parse tree produced by `GroovyParser.continueStatement()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitBreakStatement

          Result visitBreakStatement​(@NotNull
                                     GroovyParser.BreakStatementContext ctx)

      Visit a parse tree produced by `GroovyParser.breakStatement()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTryCatchStatement

          Result visitTryCatchStatement​(@NotNull
                                        GroovyParser.TryCatchStatementContext ctx)

      Visit a parse tree produced by `GroovyParser.tryCatchStatement()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitAssertStatement

          Result visitAssertStatement​(@NotNull
                                      GroovyParser.AssertStatementContext ctx)

      Visit a parse tree produced by `GroovyParser.assertStatement()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitStatement

          Result visitStatement​(@NotNull
                                GroovyParser.StatementContext ctx)

      Visit a parse tree produced by `GroovyParser.statement()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitCatchClause

          Result visitCatchClause​(@NotNull
                                  GroovyParser.CatchClauseContext ctx)

      Visit a parse tree produced by `GroovyParser.catchClause()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitCatchType

          Result visitCatchType​(@NotNull
                                GroovyParser.CatchTypeContext ctx)

      Visit a parse tree produced by `GroovyParser.catchType()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitFinallyBlock

          Result visitFinallyBlock​(@NotNull
                                   GroovyParser.FinallyBlockContext ctx)

      Visit a parse tree produced by `GroovyParser.finallyBlock()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitResources

          Result visitResources​(@NotNull
                                GroovyParser.ResourcesContext ctx)

      Visit a parse tree produced by `GroovyParser.resources()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitResourceList

          Result visitResourceList​(@NotNull
                                   GroovyParser.ResourceListContext ctx)

      Visit a parse tree produced by `GroovyParser.resourceList()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitResource

          Result visitResource​(@NotNull
                               GroovyParser.ResourceContext ctx)

      Visit a parse tree produced by `GroovyParser.resource()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitSwitchBlockStatementGroup

          Result visitSwitchBlockStatementGroup​(@NotNull
                                                GroovyParser.SwitchBlockStatementGroupContext ctx)

      Visit a parse tree produced by `GroovyParser.switchBlockStatementGroup()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitSwitchLabel

          Result visitSwitchLabel​(@NotNull
                                  GroovyParser.SwitchLabelContext ctx)

      Visit a parse tree produced by `GroovyParser.switchLabel()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitForControl

          Result visitForControl​(@NotNull
                                 GroovyParser.ForControlContext ctx)

      Visit a parse tree produced by `GroovyParser.forControl()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitEnhancedForControl

          Result visitEnhancedForControl​(@NotNull
                                         GroovyParser.EnhancedForControlContext ctx)

      Visit a parse tree produced by `GroovyParser.enhancedForControl()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitClassicalForControl

          Result visitClassicalForControl​(@NotNull
                                          GroovyParser.ClassicalForControlContext ctx)

      Visit a parse tree produced by `GroovyParser.classicalForControl()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitForInit

          Result visitForInit​(@NotNull
                              GroovyParser.ForInitContext ctx)

      Visit a parse tree produced by `GroovyParser.forInit()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitForUpdate

          Result visitForUpdate​(@NotNull
                                GroovyParser.ForUpdateContext ctx)

      Visit a parse tree produced by `GroovyParser.forUpdate()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitCastParExpression

          Result visitCastParExpression​(@NotNull
                                        GroovyParser.CastParExpressionContext ctx)

      Visit a parse tree produced by `GroovyParser.castParExpression()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitParExpression

          Result visitParExpression​(@NotNull
                                    GroovyParser.ParExpressionContext ctx)

      Visit a parse tree produced by `GroovyParser.parExpression()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitExpressionInPar

          Result visitExpressionInPar​(@NotNull
                                      GroovyParser.ExpressionInParContext ctx)

      Visit a parse tree produced by `GroovyParser.expressionInPar()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitExpressionList

          Result visitExpressionList​(@NotNull
                                     GroovyParser.ExpressionListContext ctx)

      Visit a parse tree produced by `GroovyParser.expressionList(boolean)`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitExpressionListElement

          Result visitExpressionListElement​(@NotNull
                                            GroovyParser.ExpressionListElementContext ctx)

      Visit a parse tree produced by `GroovyParser.expressionListElement(boolean)`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitEnhancedStatementExpression

          Result visitEnhancedStatementExpression​(@NotNull
                                                  GroovyParser.EnhancedStatementExpressionContext ctx)

      Visit a parse tree produced by `GroovyParser.enhancedStatementExpression()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitStatementExpression

          Result visitStatementExpression​(@NotNull
                                          GroovyParser.StatementExpressionContext ctx)

      Visit a parse tree produced by `GroovyParser.statementExpression()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitPostfixExpression

          Result visitPostfixExpression​(@NotNull
                                        GroovyParser.PostfixExpressionContext ctx)

      Visit a parse tree produced by `GroovyParser.postfixExpression()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitExpression

          Result visitExpression​(@NotNull
                                 GroovyParser.ExpressionContext ctx)

      Visit a parse tree produced by `GroovyParser.expression()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitCommandExpression

          Result visitCommandExpression​(@NotNull
                                        GroovyParser.CommandExpressionContext ctx)

      Visit a parse tree produced by `GroovyParser.commandExpression()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitCommandArgument

          Result visitCommandArgument​(@NotNull
                                      GroovyParser.CommandArgumentContext ctx)

      Visit a parse tree produced by `GroovyParser.commandArgument()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitPathExpression

          Result visitPathExpression​(@NotNull
                                     GroovyParser.PathExpressionContext ctx)

      Visit a parse tree produced by `GroovyParser.pathExpression()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitPathElement

          Result visitPathElement​(@NotNull
                                  GroovyParser.PathElementContext ctx)

      Visit a parse tree produced by `GroovyParser.pathElement()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitNamePart

          Result visitNamePart​(@NotNull
                               GroovyParser.NamePartContext ctx)

      Visit a parse tree produced by `GroovyParser.namePart()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitDynamicMemberName

          Result visitDynamicMemberName​(@NotNull
                                        GroovyParser.DynamicMemberNameContext ctx)

      Visit a parse tree produced by `GroovyParser.dynamicMemberName()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitIndexPropertyArgs

          Result visitIndexPropertyArgs​(@NotNull
                                        GroovyParser.IndexPropertyArgsContext ctx)

      Visit a parse tree produced by `GroovyParser.indexPropertyArgs()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitNamedPropertyArgs

          Result visitNamedPropertyArgs​(@NotNull
                                        GroovyParser.NamedPropertyArgsContext ctx)

      Visit a parse tree produced by `GroovyParser.namedPropertyArgs()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitPrimary

          Result visitPrimary​(@NotNull
                              GroovyParser.PrimaryContext ctx)

      Visit a parse tree produced by `GroovyParser.primary()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitList

          Result visitList​(@NotNull
                           GroovyParser.ListContext ctx)

      Visit a parse tree produced by `GroovyParser.list()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitMap

          Result visitMap​(@NotNull
                          GroovyParser.MapContext ctx)

      Visit a parse tree produced by `GroovyParser.map()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitMapEntryList

          Result visitMapEntryList​(@NotNull
                                   GroovyParser.MapEntryListContext ctx)

      Visit a parse tree produced by `GroovyParser.mapEntryList()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitMapEntry

          Result visitMapEntry​(@NotNull
                               GroovyParser.MapEntryContext ctx)

      Visit a parse tree produced by `GroovyParser.mapEntry()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitMapEntryLabel

          Result visitMapEntryLabel​(@NotNull
                                    GroovyParser.MapEntryLabelContext ctx)

      Visit a parse tree produced by `GroovyParser.mapEntryLabel()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitCreator

          Result visitCreator​(@NotNull
                              GroovyParser.CreatorContext ctx)

      Visit a parse tree produced by `GroovyParser.creator(int)`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitDim

          Result visitDim​(@NotNull
                          GroovyParser.DimContext ctx)

      Visit a parse tree produced by `GroovyParser.dim()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitArrayInitializer

          Result visitArrayInitializer​(@NotNull
                                       GroovyParser.ArrayInitializerContext ctx)

      Visit a parse tree produced by `GroovyParser.arrayInitializer()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitAnonymousInnerClassDeclaration

          Result visitAnonymousInnerClassDeclaration​(@NotNull
                                                     GroovyParser.AnonymousInnerClassDeclarationContext ctx)

      Visit a parse tree produced by `GroovyParser.anonymousInnerClassDeclaration(int)`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitCreatedName

          Result visitCreatedName​(@NotNull
                                  GroovyParser.CreatedNameContext ctx)

      Visit a parse tree produced by `GroovyParser.createdName()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitNonWildcardTypeArguments

          Result visitNonWildcardTypeArguments​(@NotNull
                                               GroovyParser.NonWildcardTypeArgumentsContext ctx)

      Visit a parse tree produced by `GroovyParser.nonWildcardTypeArguments()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTypeArgumentsOrDiamond

          Result visitTypeArgumentsOrDiamond​(@NotNull
                                             GroovyParser.TypeArgumentsOrDiamondContext ctx)

      Visit a parse tree produced by `GroovyParser.typeArgumentsOrDiamond()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitArguments

          Result visitArguments​(@NotNull
                                GroovyParser.ArgumentsContext ctx)

      Visit a parse tree produced by `GroovyParser.arguments()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitEnhancedArgumentListInPar

          Result visitEnhancedArgumentListInPar​(@NotNull
                                                GroovyParser.EnhancedArgumentListInParContext ctx)

      Visit a parse tree produced by `GroovyParser.enhancedArgumentListInPar()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitEnhancedArgumentListElement

          Result visitEnhancedArgumentListElement​(@NotNull
                                                  GroovyParser.EnhancedArgumentListElementContext ctx)

      Visit a parse tree produced by `GroovyParser.enhancedArgumentListElement()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitStringLiteral

          Result visitStringLiteral​(@NotNull
                                    GroovyParser.StringLiteralContext ctx)

      Visit a parse tree produced by `GroovyParser.stringLiteral()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitClassName

          Result visitClassName​(@NotNull
                                GroovyParser.ClassNameContext ctx)

      Visit a parse tree produced by `GroovyParser.className()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitIdentifier

          Result visitIdentifier​(@NotNull
                                 GroovyParser.IdentifierContext ctx)

      Visit a parse tree produced by `GroovyParser.identifier()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitBuiltInType

          Result visitBuiltInType​(@NotNull
                                  GroovyParser.BuiltInTypeContext ctx)

      Visit a parse tree produced by `GroovyParser.builtInType()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitKeywords

          Result visitKeywords​(@NotNull
                               GroovyParser.KeywordsContext ctx)

      Visit a parse tree produced by `GroovyParser.keywords()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitRparen

          Result visitRparen​(@NotNull
                             GroovyParser.RparenContext ctx)

      Visit a parse tree produced by `GroovyParser.rparen()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitNls

          Result visitNls​(@NotNull
                          GroovyParser.NlsContext ctx)

      Visit a parse tree produced by `GroovyParser.nls()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitSep

          Result visitSep​(@NotNull
                          GroovyParser.SepContext ctx)

      Visit a parse tree produced by `GroovyParser.sep()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result